Name: boost-gdb-printers
Version: 3
Release: 4%{?dist}
Summary: GDB pretty printers for boost

Group: Development/Debug
License: GPLv3+
URL: https://sourceforge.net/projects/boost-gdb-printers/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires: boost-devel
BuildRequires: dejagnu
BuildRequires: gdb

Requires: gdb

%description
A collection of pretty printers for GDB 7.x for various boost types.
Currently it handles classes from the following boost libraries:
* Optional
* Pointer Container
* Smart Pointer
* Unordered

%prep
%autosetup

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%check
make %{?_smp_mflags} check

%files
%{_datadir}/%{name}
%doc AUTHORS ChangeLog COPYING NEWS README

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 3-3
- Rebuild for boost 1.55.0

* Thu Apr 24 2014 David Tardon <dtardon@redhat.com> - 3-2
- require gdb

* Sat Feb 22 2014 David Tardon <dtardon@redhat.com> - 3-1
- new release

* Wed Apr 04 2012 David Tardon <dtardon@redhat.com> - 2-1
- new release, fixing use with boost >= 1.48

* Sun Apr 01 2012 David Tardon <dtardon@redhat.com> - 1-1
- initial import
